Bug 843011 - No details on publish failure
No details on publish failure
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 06:05 EDT by Joshua Wulf
Modified: 2014-10-26 21:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-25 06:05:05 EDT
Running csprocessor publish I got this error:

ERROR: Unable to publish the Content Specification because an error occured while running the publish command.


It was because my custom publish script was not executable. Any chance that csprocessor could give more details when it encounters an error?



cspclient-0.26.1-1.noarch
OS: Fedora release 16 (Verne)

JAVA: java version "1.7.0_03-icedtea"
OpenJDK Runtime Environment (fedora-2.2.1.fc16.7-x86_64)
OpenJDK 64-Bit Server VM (build 23.0-b21, mixed mode)
Comment 1 Lee Newson 2012-09-10 01:25:47 EDT
The response that is caught is an IOException, so basically whatever that reports is all the feedback I can give. I'll have to look into the sorts of responses generated in those Exceptions to see if they are reusable.

Note You need to log in before you can comment on or make changes to this bug.